import {
	defineStore
} from 'pinia'
import {
	ref,
	computed
} from 'vue'
export const useWorkflowStore = defineStore('workflow', () => {

	const businessId = ref('')
	const workId = ref('')
	const acceptAndRepair = ref('')

	function setBusinessId(value) {
		businessId.value = value
	}

	function setWorkId(value) {
		workId.value = value
	}
	
	function setAcceptAndRepair(value){
		acceptAndRepair.value = value
	}
	
	function getAcceptAndRepair(){
		return acceptAndRepair.value
	}

	return {
		businessId,
		workId,
		acceptAndRepair,

		setBusinessId,
		setWorkId,
		setAcceptAndRepair,
		getAcceptAndRepair,
	}
})